Last Comment Bug 832679 - AppMenu: Menu checkmarks indicating if {Folder pane} or {Message Pane} are shown or hidden work the wrong way round (Options > Layout)
: AppMenu: Menu checkmarks indicating if {Folder pane} or {Message Pane} are sh...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Toolbars and Tabs (show other bugs)
: 17 Branch
: All All
: -- minor with 1 vote (vote)
: Thunderbird 21.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks: TB-AppMenu 789883
  Show dependency treegraph
 
Reported: 2013-01-19 14:25 PST by Mihovil Stanic [:Mikeyy - L10n HR]
Modified: 2013-03-05 06:56 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
20+
fixed


Attachments
patch (2.07 KB, patch)
2013-01-20 00:31 PST, Richard Marti (:Paenglab)
mconley: review+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑esr17+
Details | Diff | Review

Description Mihovil Stanic [:Mikeyy - L10n HR] 2013-01-19 14:25:15 PST
TB 17.0.2, Win7 64bit, croatian locale

Make sure you have "CLASSIC VIEW" and folder and message panes showing on you TB.

Click:
APP MENU BUTTON / OPTIONS / LAYOUT

Take a look at 2 last options:
Folder Pane
Message Pane

You will not see any marks that those 2 are turned on (if you have them visible, which is default for TB).

If you press ALT to show old menu, then go VIEW / LAYOUT, you will see that those same 2 last options have been marked as turned ON, which wasn't case in APP BUTTON menu.
Comment 1 Thomas D. (currently busy elsewhere; needinfo?me) 2013-01-20 00:18:11 PST
confirming on winxp/tb17.02, exactly as described.

The inital state of the checkmarks is wrong, hence the get toggled the wrong way round:

- no checkmarks when Panes are shown (wrong)
- checkmarks when Panes are hidden (wrong)

:Paenglab, this should be a simple fix, suppose you could just copy the logic from the traditional menu where respective checkmarks work correctly.
Comment 2 Thomas D. (currently busy elsewhere; needinfo?me) 2013-01-20 00:19:41 PST
(In reply to Thomas D. from comment #1)
> confirming on winxp/tb17.02, exactly as described.
> 
> The inital state of the checkmarks is wrong, hence the get toggled the wrong
> way round:
> 
> - no checkmarks when Panes are shown (wrong)
> - checkmarks when Panes are hidden (wrong)
> 
> :Paenglab, this should be a simple fix, suppose you could just copy the
> logic from the traditional menu where respective checkmarks work correctly.

^^
Comment 3 Richard Marti (:Paenglab) 2013-01-20 00:31:49 PST
Created attachment 704303 [details] [diff] [review]
patch

Adding the main menu logic to the menuitems in AppMenu.
Comment 4 Mike Conley (:mconley) - (needinfo me!) 2013-02-15 13:33:29 PST
Comment on attachment 704303 [details] [diff] [review]
patch

Review of attachment 704303 [details] [diff] [review]:
-----------------------------------------------------------------

Sorry for the delay - looks good!
Comment 5 Richard Marti (:Paenglab) 2013-02-15 13:49:53 PST
Comment on attachment 704303 [details] [diff] [review]
patch

[Approval Request Comment]
This would make the checkmark behavior of this menuitems correct in AppMenu. The patch is only a code copy from main menu to the new items and shouldn't add new issues.
Comment 6 Ryan VanderMeulen [:RyanVM] 2013-02-15 18:04:10 PST
https://hg.mozilla.org/comm-central/rev/d747857f2d0d
Comment 7 Mark Banner (:standard8) 2013-03-05 03:26:53 PST
Comment on attachment 704303 [details] [diff] [review]
patch

Already in 21, so a=me for beta & esr17.
Comment 8 Mark Banner (:standard8) 2013-03-05 06:51:10 PST
https://hg.mozilla.org/releases/comm-beta/rev/50baa2d11e83
Comment 9 Mark Banner (:standard8) 2013-03-05 06:56:29 PST
https://hg.mozilla.org/releases/comm-esr17/rev/07c9411e48ef

Note You need to log in before you can comment on or make changes to this bug.